# The following lines of boilerplate have to be in your project's
# CMakeLists in this exact order for cmake to work correctly
cmake_minimum_required(VERSION 3.5)

set(EXTRA_COMPONENT_DIRS 
    lib/epdiy/src
    lib
)

include($ENV{IDF_PATH}/tools/cmake/project.cmake)
project(weather_top)

# Add client certificate, private key and CA bundle to project:
target_add_binary_data(${CMAKE_PROJECT_NAME}.elf "main/assets/ssl/client.crt"    TEXT)
target_add_binary_data(${CMAKE_PROJECT_NAME}.elf "main/assets/ssl/client.key"    TEXT)
